# {{classname}}

All URIs are relative to *https://nowcast.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**PostcodesPostcodecountryCodeGet**](PostcodesApi.md#PostcodesPostcodecountryCodeGet) | **Get** /postcodes/{postcode},{countryCode} | A nowcast for a postcode.

# **PostcodesPostcodecountryCodeGet**
> NowcastPostcodeObj PostcodesPostcodecountryCodeGet(ctx, postcode, countryCode, fields, optional)
A nowcast for a postcode.

Returns nowcast data for a postcode.  **IMPORTANT:** To authenticate to the Weather Source Nowcast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **postcode** | **string**| A postcode string. | 
  **countryCode** | **string**| An uppercase 2-character [ISO 3166-1 Alpha-2 country code](https://developer.weathersourceapis.com/apis/countries-with-postal-code-support/). | 
  **fields** | [**[]string**](string.md)| A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(cldCvr)* * allHum *(relHum, spcHum)* * allPrecip *(precipFlag, precipIntensity, snowfallFlag, snowfallIntensity)* * allPres *(mslPres, presTend, sfcPres)* * allRad *(radSolar)* * allTemp *(dewPt, feelsLike, heatIndex, temp, wetBulb, windChill)* * allWind *(windDir, windDir80m, windDir100m, windSpd, windSpd80m, windSpd100m)* * popular *(cldCvr, feelsLike, precipFlag, precipIntensity, relHum, snowfallFlag, snowfallIntensity, temp, windDir, windSpd)*  | 
 **optional** | ***PostcodesApiPostcodesPostcodecountryCodeGetOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a PostcodesApiPostcodesPostcodecountryCodeGetOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------



 **unitScale** | **optional.String**| The unit scale for returned values.&lt;br&gt; | [default to IMPERIAL]

### Return type

[**NowcastPostcodeObj**](nowcastPostcodeObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

