/*
 * Nowcast - A Weather Source API
 *
 * Nowcast weather data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Nowcast API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.      **IMPORTANT:** To authenticate to the Weather Source Nowcast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * API version: 2.0.0
 * Contact: support@weathersource.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger
import (
	"time"
)

// A nowcast object.
type NowcastObj struct {
	Timestamp *time.Time `json:"timestamp"`
	CldCvr float32 `json:"cldCvr,omitempty"`
	DewPt float32 `json:"dewPt,omitempty"`
	FeelsLike float32 `json:"feelsLike,omitempty"`
	HeatIndex float32 `json:"heatIndex,omitempty"`
	MslPres float32 `json:"mslPres,omitempty"`
	PrecipFlag bool `json:"precipFlag,omitempty"`
	PrecipIntensity float32 `json:"precipIntensity,omitempty"`
	PresTend float32 `json:"presTend,omitempty"`
	RadSolar float32 `json:"radSolar,omitempty"`
	RelHum float32 `json:"relHum,omitempty"`
	SfcPres float32 `json:"sfcPres,omitempty"`
	SnowfallFlag bool `json:"snowfallFlag,omitempty"`
	SnowfallIntensity float32 `json:"snowfallIntensity,omitempty"`
	SpcHum float32 `json:"spcHum,omitempty"`
	Temp float32 `json:"temp,omitempty"`
	WetBulb float32 `json:"wetBulb,omitempty"`
	WindChill float32 `json:"windChill,omitempty"`
	WindDir float32 `json:"windDir,omitempty"`
	WindDir80m float32 `json:"windDir80m,omitempty"`
	WindDir100m float32 `json:"windDir100m,omitempty"`
	WindSpd float32 `json:"windSpd,omitempty"`
	WindSpd80m float32 `json:"windSpd80m,omitempty"`
	WindSpd100m float32 `json:"windSpd100m,omitempty"`
}
